Working with Mac M1 chip?

Post in this forum any question related to the installation on any of the supported platforms (Linux, Mac OS X, Windows)
Post Reply
vs4
Posts: 1
Joined: Fri Mar 12, 2021 2:47 am

Working with Mac M1 chip?

Post by vs4 »

Hello everyone.

Does anyone have any issues with geopsy installation on new MacBooks with M1 chip? I cannot seem to make it work. After installation if I try to run anything through the terminal I get the same issue below. Any suggestions what could it be? Or is it just not compatible with M1 like a lot of other things yet?..

zsh: illegal hardware instruction gpdc

Val

admin
Site Admin
Posts: 604
Joined: Mon Aug 13, 2007 11:48 am
Location: ISTerre
Contact:

Re: Working with Mac M1 chip?

Post by admin »

I've just released the Big Sur archive for release 3.3.6 compiled on an Intel Mac running Big Sur by Bertrand Guillier. Can you try? Up to now, I have not checked if I have to add flags during compilation to have binaries for both Intel and ARM chips.

If it is still unsuccessful, you can follow this tutorial to compile directly from source tarball under Mac OS. It is not updated for Big Sur M1, but it is fine for Big Sur on Intel.

Best regards,

Marc

Coco
Posts: 1
Joined: Fri Sep 24, 2021 8:57 am

Re: Working with Mac M1 chip?

Post by Coco »

Hello,
I can't install geopsy on my Mac M1. Did you manage to install it? (illegal hardware instruction)
If not, will a version for M1 be available soon?
Kind regards,

Coline

Post Reply